Name:          perl-Verilog
Version:       3.212
Release:       5%{?dist}
Summary:       Verilog parsing routines

License:       LGPL+ or Artistic
Group:         Applications/Engineering

Url:           http://www.veripool.org/wiki/verilog-perl
Source0:       http://search.cpan.org/CPAN/authors/id/W/WS/WSNYDER/Verilog-Perl-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(Test::Pod)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gdbm-devel
BuildRequires: flex bison

Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This package provides functions to support writing utilities
that use the Verilog language.

%prep
%setup -q -n Verilog-Perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
     PREFIX=%{_prefix}

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install    \
    PERL_INSTALL_ROOT=%{buildroot}


find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*


%check
%{__make} test


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes COPYING README verilog/
%{_bindir}/*
%dir %{perl_vendorarch}/Verilog
%{perl_vendorarch}/Verilog/*
%dir %{perl_vendorarch}/auto/Verilog
%{perl_vendorarch}/auto/Verilog/*
%{_mandir}/man?/*


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.212-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.212-4
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.212-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.212-2
- rebuild against perl 5.10.1

* Mon Jun 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.212-1
- upstream v3.212

* Thu Jun 18 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.211-1
- upstream v3.211

* Thu May 21 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.210-1
- upstream v3.210

* Wed Mar 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.120-1
- upstream v3.120

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.110-1
- upstream v3.110

* Sat Jan 03 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.100-1
- upstream v3.100
- removed patch for rawhide's bison

* Sat Dec 20 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.045-1
- upstream v3.045
- updated to the recommendations of #476386-c3

* Sun Dec 14 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-2
- Added Bison and flex as BR
- fixed the arch build

* Sat Dec 06 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-1
- Initial package for fedora
